| OrbbecSDK 1.10.18 OrbbecSDK: Software-Development-Kit for Orbbec 3D Cameras

Loading...
Searching...
No Matches
Public Member Functions | List of all members
ob::SpatialAdvancedFilter Class Reference

Spatial advanced filter smooths the image by calculating frame with alpha and delta settings alpha defines the weight of the current pixel for smoothing, delta defines the depth gradient below which the smoothing will occur as number of depth levels. More...

`#include <Filter.hpp>`

Inheritance diagram for ob::SpatialAdvancedFilter:

## Public Member Functions
| SpatialAdvancedFilter ()
OBFloatPropertyRange | getAlphaRange ()
| Get the spatial advanced filter alpha range.
OBUint16PropertyRange | getDispDiffRange ()
| Get the spatial advanced filter dispdiff range.
OBUint16PropertyRange | getRadiusRange ()
| Get the spatial advanced filter radius range.
OBIntPropertyRange | getMagnitudeRange ()
| Get the spatial advanced filter magnitude range.
OBSpatialAdvancedFilterParams | getFilterParams ()
| Get the spatial advanced filter params.
void | setFilterParams (OBSpatialAdvancedFilterParams params)
| Set the spatial advanced filter params.
Public Member Functions inherited from ob::Filter
| Filter ()
| Filter (std::shared_ptr< FilterImpl > impl)
virtual | ~Filter ()=default
virtual void | reset ()
| ReSet the filter, freeing the internal cache, stopping the processing thread, and clearing the pending buffer frame when asynchronous processing is used.
void | enable (bool enable)
| enable the filter
bool | isEnabled ()
| Return Enable State.
virtual std::shared_ptr< Frame > | process (std::shared_ptr< Frame > frame)
| Processes a frame synchronously.
virtual void | pushFrame (std::shared_ptr< Frame > frame)
| Pushes the pending frame into the cache for asynchronous processing.
virtual void | setCallBack (FilterCallback callback)
| Set the callback function for asynchronous processing.
virtual const char * | type ()
| Get the type of filter.
template<typename T >
bool | is ()
| Check if the runtime type of the filter object is compatible with a given type.
template<typename T >
std::shared_ptr< T > | as ()
| Convert the filter object to a target type.

## Additional Inherited Members
Protected Attributes inherited from ob::Filter
std::shared_ptr< FilterImpl > | impl_
std::string | type_

## Detailed Description

Spatial advanced filter smooths the image by calculating frame with alpha and delta settings alpha defines the weight of the current pixel for smoothing, delta defines the depth gradient below which the smoothing will occur as number of depth levels.

Definition at line 265 of file Filter.hpp.

## Constructor & Destructor Documentation

## ◆ SpatialAdvancedFilter()

ob::SpatialAdvancedFilter::SpatialAdvancedFilter | ( |  | ) |

## Member Function Documentation

## ◆ getAlphaRange()

OBFloatPropertyRange ob::SpatialAdvancedFilter::getAlphaRange | ( |  | ) |

Get the spatial advanced filter alpha range.

Returns
  OBFloatPropertyRange the alpha value of property range.

## ◆ getDispDiffRange()

OBUint16PropertyRange ob::SpatialAdvancedFilter::getDispDiffRange | ( |  | ) |

Get the spatial advanced filter dispdiff range.

Returns
  OBUint16PropertyRange the dispdiff value of property range.

## ◆ getRadiusRange()

OBUint16PropertyRange ob::SpatialAdvancedFilter::getRadiusRange | ( |  | ) |

Get the spatial advanced filter radius range.

Returns
  OBUint16PropertyRange the radius value of property range.

## ◆ getMagnitudeRange()

OBIntPropertyRange ob::SpatialAdvancedFilter::getMagnitudeRange | ( |  | ) |

Get the spatial advanced filter magnitude range.

Returns
  OBIntPropertyRange the magnitude value of property range.

## ◆ getFilterParams()

OBSpatialAdvancedFilterParams ob::SpatialAdvancedFilter::getFilterParams | ( |  | ) |

Get the spatial advanced filter params.

Returns
  OBSpatialAdvancedFilterParams

## ◆ setFilterParams()

void ob::SpatialAdvancedFilter::setFilterParams | ( | OBSpatialAdvancedFilterParams | params | ) |

Set the spatial advanced filter params.

Parameters

  params | OBSpatialAdvancedFilterParams.

The documentation for this class was generated from the following file:

- E:/Projects/Jenkins/workspace/OrbbecSDK/libobsensor/include/libobsensor/hpp/Filter.hpp